#include <Arduino.h>

const uint16_t DAC_IN_BUFF  = 0b0100000000000000;
const uint16_t DAC_OUT_GAIN = 0b0010000000000000;
const uint16_t DAC_OUT_EN   = 0b0001000000000000;

const double DAC_VREF = 1.024;

uint16_t calculateDACOutput(double voltage);
void init_DAC_SPI(SPISettings spi_settings, pin_size_t CS, double voltage);
